commit:     55ddc29be917d85c1f8bf46ea6bdb1916848bb0b
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  2 09:59:51 2019 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Fri Aug  2 10:01:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55ddc29b

net-libs/google-cloud-cpp: bump to 0.10.0

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 net-libs/google-cloud-cpp/Manifest                 |  1 +
 .../google-cloud-cpp-0.10.0.ebuild                 | 60 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-libs/google-cloud-cpp/Manifest 
b/net-libs/google-cloud-cpp/Manifest
index bab75bc1ed8..144c9ba8b13 100644
--- a/net-libs/google-cloud-cpp/Manifest
+++ b/net-libs/google-cloud-cpp/Manifest
@@ -1,3 +1,4 @@
+DIST google-cloud-cpp-0.10.0.tar.gz 2189161 BLAKE2B 
1e599478db3f280cddc4232c7e6005c7b5a48b1f22aecc8a99dc60f461dad349d343b40e6545680e7b211ea40a07c9b069052c2a6e36cb7279e400cdebfa95a3
 SHA512 
9a1774dcc39d1626c8a9cf8630fe3b3110df7e21e452c7b137e1911d10b304997571aadff5fc0216715729db4a29621066a5236a0b2cb027bba4ce3c56492fb3
 DIST google-cloud-cpp-0.2.0.tar.gz 687020 BLAKE2B 
45c09c7cb5b9cc93c87e6d1faedf04f29ae81196dda95660abeadeaaf522376b4e50fd42489476c081e8de7336202d3883ab276c0e2334f1ad1b0e4e1f90fdb8
 SHA512 
ded3b564ef264a8bff4d81b08f2a97462e063127bf75a006bc7b18d18cfaee2f3cbe5957fe2c56cec06da5a7765854444fad8cd5045579c416c5f3de8462382e
 DIST google-cloud-cpp-0.5.0.tar.gz 1050893 BLAKE2B 
6e96e2ca3f518f3c417d9d395001a42182aaeacdbbcfedc636387dbccedf5e570367bc66e5b3fecbe53d5b61e51b53709b83da90718826ac643fb2c43c1723c6
 SHA512 
48c5f4828bc85ae2c4bfe52b5bb51ff5da6a4cd6759f819aefaf9c23d7fffeb0a10390274f0e83f030f66f59a364c05583240e426143073187f104345e0b05d5
 DIST google-cloud-cpp-0.9.0.tar.gz 2209532 BLAKE2B 
33b297d4836cf171833a4481b567d22f44aacdb0afd5422ec7da7f3c47fc1284a4a7723e306508c7dc7cc595166f040abe00a92eed58a07dfed77b94f99e9889
 SHA512 
b62051b9396efe8af8063d28ac958524b762a90c053f82030834bd38f018f0755487f6b39ceb5a0082d7cbf8784854c4effd81de27633086857330dc9bda182b

diff --git a/net-libs/google-cloud-cpp/google-cloud-cpp-0.10.0.ebuild 
b/net-libs/google-cloud-cpp/google-cloud-cpp-0.10.0.ebuild
new file mode 100644
index 00000000000..0575f7a04ab
--- /dev/null
+++ b/net-libs/google-cloud-cpp/google-cloud-cpp-0.10.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+JSON_VER="3.4.0"
+GOOGLEAPIS_COMMIT="6a3277c0656219174ff7c345f31fb20a90b30b97"
+
+DESCRIPTION="Google Cloud Client Library for C++"
+HOMEPAGE="https://cloud.google.com/";
+SRC_URI="https://github.com/GoogleCloudPlatform/google-cloud-cpp/archive/v${PV}.tar.gz
 -> ${P}.tar.gz
+       
https://github.com/nlohmann/json/releases/download/v${JSON_VER}/json.hpp -> 
nlohmann-json-${JSON_VER}-json.hpp
+       
https://github.com/googleapis/googleapis/archive/${GOOGLEAPIS_COMMIT}.tar.gz -> 
googleapis-${GOOGLEAPIS_COMMIT}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RESTRICT="test"
+RDEPEND="dev-libs/protobuf:=
+       dev-libs/crc32c
+       net-misc/curl
+       net-libs/grpc:="
+DEPEND="${RDEPEND}
+       dev-cpp/gtest"
+
+DOCS=( README.md )
+PATCHES=(
+       "${FILESDIR}/google-cloud-cpp-0.5.0-openssl.patch"
+       "${FILESDIR}/google-cloud-cpp-0.9.0-offline_nlohmannjson.patch"
+)
+
+src_configure() {
+       local mycmakeargs=(
+               -DGOOGLE_CLOUD_CPP_DEPENDENCY_PROVIDER=package
+               -DBUILD_SHARED_LIBS=ON
+               -DBUILD_TESTING=OFF
+       )
+
+       cmake-utils_src_configure
+
+       mkdir -p "${BUILD_DIR}/external/nlohmann_json/src/" || die
+       cp "${DISTDIR}/nlohmann-json-${JSON_VER}-json.hpp" 
"${BUILD_DIR}/external/nlohmann_json/src/json.hpp" || die
+
+       mkdir -p "${BUILD_DIR}/external/googleapis/src/" || die
+       cp "${DISTDIR}/googleapis-${GOOGLEAPIS_COMMIT}.tar.gz" \
+               
"${BUILD_DIR}/external/googleapis/src/${GOOGLEAPIS_COMMIT}.tar.gz" || die
+}
+
+src_test() {
+       # test fails
+       local myctestargs=(
+               -E internal_parse_rfc3339_test
+       )
+
+       cmake-utils_src_test
+}

Reply via email to